import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { RouterModule } from '@angular/router';
import { MarkdownModule } from 'ngx-markdown';
import { DocsExampleModule } from '../../others/docs-example/docs-example.module';
import { SourceTabsModule } from '../../others/source-tabs/source-tabs.module';
import { SharedModule } from '../../shared/shared.module';
import { HomePageComponent } from './home-page.component';
import { HomePageRoutes } from './home-page.routes';

@NgModule({
  imports: [
    MarkdownModule.forChild(),
    SharedModule.forRoot(),
    RouterModule.forChild(HomePageRoutes),
    DocsExampleModule.forRoot(),
    SourceTabsModule.forRoot(),
    FlexLayoutModule,
  ],
  declarations: [HomePageComponent],
})
export class HomePageModule {
  static forRoot() {
    return {
      ngModule: HomePageModule,
      providers: [],
    };
  }
}
