import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatInputModule } from '@angular/material/input';
import { SharedModule } from '../../shared/shared.module';
import { CompanyPanelComponent } from './company-panel.component';

@NgModule({
  imports: [
    SharedModule.forRoot(),
    MatButtonModule,
    MatInputModule,
    MatCheckboxModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,
  ],
  entryComponents: [CompanyPanelComponent],
  exports: [CompanyPanelComponent],
  declarations: [CompanyPanelComponent],
})
export class CompanyPanelModule {
  static forRoot() {
    return {
      ngModule: CompanyPanelModule,
      providers: [],
    };
  }
}
